import matplotlib.pyplot as plt
from matplotlib.pyplot import *

def cmToInches(a):
    return a * 0.393701

def ptToCm(a):
    return a * 0.0352778


# PLOS ONE requirements
# Use only Arial, Times, or Symbol font in 8-12 points

# latex settings
textWidth = 13.2                    # text width in cm
captionFontSize = 10                # font size in pt
# titleFontSize = captionFontSize
# legendFontSize = captionFontSize
# labelFontSize = captionFontSize
# ticksFontSize = captionFontSize

# font
# plt.rc('font',**{'family':'serif','serif':['Times']})
# plt.rc('text', usetex=True)
rcParams['mathtext.fontset'] = 'custom'
rcParams['mathtext.it'] = 'Arial:italic'
rcParams['mathtext.rm'] = 'Arial'
rcParams['font.size'] = captionFontSize     # font size in pt
rcParams['xtick.labelsize'] = captionFontSize

# pyplot figsize
figWidth = cmToInches(textWidth)
figHeight = 1.9


# time unit
timeScale = 1 / 60  # 1: return time in s; 1 / 60: return time in min
timeUnit = "min"



# resolution
dpi = 600
